/* welcome header animation */
.testBorder {
  border: 2px solid red;
}

.request- p {
  margin: 11px 0 11px 2px;
}

.containerWelcome {
  display: flex;
  /* justify-content: center; */
  margin-left: 5%;
  align-items: center;
}

.welcome-text {
  font-size: 1.2rem;
  /* font-weight: 400; */
  text-align: center;
  display: flex;
  gap: 0.5rem;
}

.letter {
  display: inline-block;
  text-shadow: 1px 1px 0.5px rgba(0, 0, 0, 0.5);
  animation: rotate-scale 0.4s ease-in-out, pulsate 0.5s ease-in-out;
}

.letter:nth-child(1) {
  animation-delay: 0s; /* First letter starts immediately */
}

.letter:nth-child(2) {
  animation-delay: 0.5s; /* Delay the second letter by 2 seconds */
}

.letter:nth-child(3) {
  animation-delay: 1s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(4) {
  animation-delay: 1.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(5) {
  animation-delay: 2s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(6) {
  animation-delay: 2.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(7) {
  animation-delay: 3s; /* Delay the third letter by 4 seconds */
}

.letter:nth-child(9) {
  animation-delay: 3.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(10) {
  animation-delay: 4s; /* Delay the third letter by 4 seconds */
}

.letter:nth-child(12) {
  animation-delay: 4.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(13) {
  animation-delay: 5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(14) {
  animation-delay: 5.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(15) {
  animation-delay: 6s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(16) {
  animation-delay: 6.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(17) {
  animation-delay: 7s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(18) {
  animation-delay: 7.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(19) {
  animation-delay: 8s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(20) {
  animation-delay: 8.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(21) {
  animation-delay: 9s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(22) {
  animation-delay: 9.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(23) {
  animation-delay: 10s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(24) {
  animation-delay: 10.5s; /* Delay the third letter by 4 seconds */
}

.letter:nth-child(26) {
  animation-delay: 11s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(27) {
  animation-delay: 11.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(28) {
  animation-delay: 12s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(29) {
  animation-delay: 12.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(30) {
  animation-delay: 13s; /* Delay the third letter by 4 seconds */
}

.letter:nth-child(32) {
  animation-delay: 13.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(33) {
  animation-delay: 14s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(34) {
  animation-delay: 14.5s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(35) {
  animation-delay: 15s; /* Delay the third letter by 4 seconds */
}
.letter:nth-child(36) {
  animation-delay: 15.5s; /* Delay the third letter by 4 seconds */
}

@keyframes rotate-scale {
  0% {
    transform: scale(0.8) rotateY(0deg);
  }
  50% {
    transform: scale(1.9) rotateY(180deg);
  }
  100% {
    transform: scale(0.8) rotateY(360deg);
  }
}

@keyframes pulsate {
  0% {
    color: #2e3e4e; /* Start color (red) */
  }
  50% {
    color: #0cc2aa; /* Middle color (green) */
  }
  100% {
    color: #2e3e4e; /* End color (red) */
  }
}

/* Room images */
.room-images {
  margin-top: 1rem;
  margin-left: 5%;
}

.img-wrapper {
  width: 95%;
}
.room-images h2 {
  font-weight: 400;
  font-size: 1.33rem;
  padding: 0;
}

.image-container {
  margin-top: 0.6rem;
  position: relative;
  width: 100%;
  display: inline-block;
  margin-bottom: 0.9rem;
}

.image-container .edit-icon {
  position: absolute;
  top: 35%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: none;
  color: #ffffff;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 3 8px;
  /* border-radius: 50%; */
  cursor: pointer;
}
.image-container .delete-icon {
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: none;
  color: #ffffff;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 3 8px;
  /* border-radius: 50%; */
  cursor: pointer;
}

.image-container:hover .edit-icon {
  display: block;
}
.image-container:hover .delete-icon {
  display: block;
}

.image-container img {
  /* height: 9rem; */
  width: 100%;
  object-fit: cover;
  /* padding: 0 1rem; */
}

.main-wrapper {
  margin-left: 8%;
  width: 70%;
}

form .preview-sec {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

/* add images */
.addImglabel {
  font-size: 1rem;
  margin-left: 5%;
}

.swiper-container {
  /* height: 88.7vh; */
  max-width: 100%;
  max-height: 100%;
  overflow: hidden;
}

.swiper-pagination {
  margin-bottom: 6%;
  color: white;
}

.swiper-slide img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.swiper-slide {
  position: relative;
}

.slide-content-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.5;
  z-index: -1;
}

.slide-content {
  position: absolute;
  top: 0;
  width: 24%;
  height: 100%;
  left: 3.5%;
  display: flex;
  justify-content: start;
  align-items: center;
  z-index: 1;
  padding: 0 0 0 2.3rem;
  /* transform: translateX(-100%); */
  /* text-align: center; */
  /* opacity: 0; */
}

.orange-grad-text {
  background: linear-gradient(to right, #ac8025, #fffbbb, #d3b26d);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  display: inline-block;
  /* text-shadow: 0 0 5px rgba(0, 0, 0, 0.5); */
}
.slide-content .slide1-details {
  padding-bottom: 7rem;
}
.slide-content .slide1-details h2 {
  font-size: 3.8rem;
  font-family: "Montserrat", sans-serif;
  color: #fff;
  padding: 0;
  margin: 0;
  line-height: 0.9;
}

.slide-content .slide1-details h1 {
  padding: 0;
  margin: 0;
  line-height: 0.9;
  color: #fff;
  font-family: "Playfair Display", serif;
}

.slide-content .slide1-details h3 {
  padding: 0;
  margin: 0;
  font-size: 4rem;
  color: #fff;
  font-family: "Roboto", sans-serif;
  line-height: 1.1;
  font-weight: 600;
}

.slide-content .slide1-details .slide-caption {
  margin-top: 1.2rem;
  display: flex;
  flex-direction: column;
}

.slide-caption img {
  width: 12rem;
  height: 4rem;
  border-radius: 25px;
  margin-top: 1rem;
}

.swiper-pagination-bullet {
  border: 1px solid white;
  opacity: 0.7;
}
.swiper-pagination-bullet-active {
  background-color: white;
}

/* slide 2 */

.slide-content2 {
  position: absolute;
  top: 0;
  width: 33%;
  height: 100%;
  left: 3.5%;
  display: flex;
  justify-content: start;
  align-items: center;
  z-index: 1;
  padding: 0 0 0 2.3rem;
}

.slide-content2 .slide-content-overlay {
  display: none;
}

.slide-content2 .slide2-details h2 {
  font-size: 3.8rem;
  font-family: "Montserrat", sans-serif;
  color: #fff;
  padding: 0;
  margin: 0;
  line-height: 0.9;
}

.slide-content2 .slide2-details h1 {
  padding: 0;
  margin: 0;
  line-height: 0.9;
  letter-spacing: 2.5;
  font-size: 6rem;
  color: #fff;
  font-family: "Playfair Display", serif;
}

.slide-content2 .slide2-details h3 {
  padding: 0;
  margin: 0;
  font-size: 3.6rem;
  color: #fff;
  font-family: "Roboto", sans-serif;
  line-height: 1.19;
  font-weight: 600;
}

.slide-content2 .slide2-details .slide-caption {
  margin-top: 1.2rem;
  display: flex;
  flex-direction: column;
}

@media screen and (max-width: 578px) {
  .slide-content {
    width: 66%;
    padding-top: 15rem;
  }

  .slide-content2 {
    width: 66%;
    padding-top: 9.5rem;
  }

  .slide-content2 .slide-content-overlay {
    display: block;
  }

  .slide-content .slide1-details h2,
  .slide-content2 .slide2-details h2 {
    font-size: 2.5rem;
  }

  .slide-content .slide1-details h1,
  .slide-content2 .slide2-details h1 {
    font-size: 4.5rem;
  }

  .slide-content2 .slide2-details h1 {
    letter-spacing: 1;
  }

  .slide-content .slide1-details h3,
  .slide-content2 .slide2-details h3 {
    font-size: 2.5rem;
  }

  .slide-caption img {
    width: 8.5rem;
    height: 3.5rem;
    border: none;
  }

  .banner-image2 {
    object-position: 82.5% 0%;
  }
}

/* gallery container */
.containerW {
  width: 100%;
  min-height: 50vh;
  display: flex;
  align-items: start;
  justify-content: center;
  /* padding: 50px 8%; */
}

.gallery {
  display: grid;
  grid-template-columns: repeat(3, minmax(250px, 1fr));
  grid-gap: 20px;
}

.gallery a {
  display: inline-block;
  position: relative;
  /* Add other styling properties as needed */
  transition: transform 0.2s ease-in-out;
}

.gallery a:hover {
  transform: scale(1.1);
}

@media screen and (max-width: 1204px) {
  .gallery {
    grid-template-columns: repeat(2, minmax(250px, 1fr));
  }
}
@media screen and (max-width: 767px) {
  .gallery {
    grid-template-columns: repeat(1, minmax(250px, 1fr));
  }
}

.gallery img {
  width: 100%;
}

/* tourist spots */
.gallery-wrap {
  padding: 0 1rem 2rem 1rem;
}

.gallery-item {
  position: relative;
  overflow: hidden;
}

.gallery-item img {
  width: 100%;
  object-fit: cover;
  height: auto;
  transition: transform 0.3s ease-out;
}

.gallery-item:hover img {
  transform: scale(1.1);
}

.gallery-item-text {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.4);
  color: #fff;
  /* padding: 5px; */
  transform: translateY(0);
  transition: transform 0.3s ease-out;
}

.gallery-item-text h3 {
  margin: 0;
  color: rgb(222, 217, 217);
}

.gallery-item:hover .gallery-item-text {
  transform: translateY(100%);
}
